| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# BaseObjectMemberFunction Class Reference

`#include <IUpdateManagerSvc.h>`

Inheritance diagram for BaseObjectMemberFunction:

[legend]
List of all members.

## Detailed Description

Base class of ObjectMemberFunction.

It is used to allow to use containers of different types of object member functions.

See also:
  ObjectMemberFunction for details.

Author:
  Marco Clemencic

Definition at line 30 of file IUpdateManagerSvc.h.

## Public Member Functions
virtual | ~BaseObjectMemberFunction ()
| Virtual destructor.
virtual StatusCode | operator() () const=0
virtual BaseObjectMemberFunction * | makeCopy () const=0
virtual const std::type_info & | type () const=0
virtual bool | match (BaseObjectMemberFunction *) const =0
virtual DataObject * | castToDataObject () const=0
virtual ValidDataObject * | castToValidDataObject () const=0
virtual void * | castToVoid () const=0

## Constructor & Destructor Documentation

virtual BaseObjectMemberFunction::~BaseObjectMemberFunction | ( |  | ) | `[inline, virtual]`

Virtual destructor.

Definition at line 33 of file IUpdateManagerSvc.h.

    00033 {};

## Member Function Documentation

virtual StatusCode BaseObjectMemberFunction::operator() | ( |  | ) | const`[pure virtual]`

Implemented in ObjectMemberFunction< CallerClass >.

virtual BaseObjectMemberFunction* BaseObjectMemberFunction::makeCopy | ( |  | ) | const`[pure virtual]`

Implemented in ObjectMemberFunction< CallerClass >.

virtual const std::type_info& BaseObjectMemberFunction::type | ( |  | ) | const`[pure virtual]`

Implemented in ObjectMemberFunction< CallerClass >.

Referenced by ObjectMemberFunction< CallerClass >::match().

virtual bool BaseObjectMemberFunction::match | ( | BaseObjectMemberFunction * |  | ) | const`[pure virtual]`

Implemented in ObjectMemberFunction< CallerClass >.

virtual DataObject* BaseObjectMemberFunction::castToDataObject | ( |  | ) | const`[pure virtual]`

Implemented in ObjectMemberFunction< CallerClass >.

virtual ValidDataObject* BaseObjectMemberFunction::castToValidDataObject | ( |  | ) | const`[pure virtual]`

Implemented in ObjectMemberFunction< CallerClass >.

virtual void* BaseObjectMemberFunction::castToVoid | ( |  | ) | const`[pure virtual]`

Implemented in ObjectMemberFunction< CallerClass >.

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiKernel/v25r2/GaudiKernel/IUpdateManagerSvc.h